Skip to content
Permalink
Browse files

fix Qt + SDK issue in OSX build

git-svn-id: http://svn.osgeo.org/qgis/trunk@12181 c8812cc2-4d05-0410-92ff-de0c093fc19c
  • Loading branch information
kyngchaos
kyngchaos committed Nov 18, 2009
1 parent 710ae8e commit 54f697b80eaa9fef2bc9c31bf02693a3620deb9f
Showing with 12 additions and 0 deletions.
  1. +12 −0 doc/INSTALL.t2t
@@ -405,6 +405,18 @@ addition to the non-debug frameworks.
Once downloaded open the dmg and run the installer. Note you need admin
privileges to install.

__Qt 4.4+ note:__ Starting in Qt 4.4 (?) libQtCLucene was added, and in 4.5 libQtUiTools was added, both in /usr/lib. When using a system SDK (which will happen in the Xcode build), these libraries will not be found. To fix this problem, add symlinks to /usr/local:

```
sudo ln -s /usr/lib/libQtUiTools.a /usr/local/lib/
sudo ln -s /usr/lib/libQtCLucene.dylib /usr/local/lib/
```

These should then be found automatically on Leopard and above. Earlier systems
may need some help by adding '-L/usr/local/lib' to CMAKE_SHARED_LINKER_FLAGS,
CMAKE_MODULE_LINKER_FLAGS and CMAKE_EXE_LINKER_FLAGS in the cmake build, or
adding '/usr/local/lib' to LIBRARY_SEARCH_PATHS in the Xcode build.


== Install development frameworks for QGIS dependencies ==

0 comments on commit 54f697b

Please sign in to comment.
You can’t perform that action at this time.